﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO4102B (1 yr) VER VISA /O_CAL+G1,DMM
INSTRUMENT:            Sub Tek DPO4104B (1 yr) VER VISA /O_CAL+G1,DMM
DATE:                  2019-04-30 11:57:08
AUTHOR:                Fluke
REVISION:              $Revision: 3804 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       272
CONFIGURATION:         Fluke Ocal (1.1GHz)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models covered:
#        DPO4102B, DPO4102B-L, DPO4104B, DPO4104B-L
#        MSO4102B, MSO4102B-L, MSO4104B, MSO4104B-L
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        50 Ohm feed through teminator (4 ea)
#
#  The procedure was tested using:
#        None
#
#  Average run time during testing: 40 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  O_CAL        Mode = LeveledSine
  1.002  O_CAL        +Frequency = 1 GHz; Voltage = 1 Vpp
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                                     V

  1.006  CALL         Sub Display Copyright

  1.007  MATH         @VisaUSB = 1; @VisaLAN = 1
  1.008  CALL         Sub Tek MSO/DPO4000B Remote Interface Connection
  1.009  JMPL         END                              @Abort

  1.010  VISA         *RST

  1.011  CALL         Sub IEEE-488.2 *IDN? IEEE
  1.012  MATH         @UUT_Manufacturer = "Tektronix"
  1.013  CALL         Sub IEEE-488.2 *IDN? Check Response
#FIX TWO LINES BELOW
  1.014  MATH         @Abort = 0
#  1.019  JMPL         END                              @Abort

  1.015  CALL         Sub High Voltage Safety Warning
  1.016  CALL         Sub Select Failed Test Mode
  1.017  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)
  1.018  CALL         Sub Tek MDO4000,MSO/DPO4000B Preliminary Instructions
  1.019  CALL         Sub Tek MDO4000,MSO/DPO4000B Additional Equipment Req.

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.020  CALL         Sub Tek MDO/MSO/DPO Self-Test VISA
  1.021  JMPL         END                           @Abort

  1.022  CALL         Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
  1.023  JMPL         END                           @Abort

  1.024  MATH         @CalMultiChan = 0; @CalChan = 1
  1.025  JMPL         RANDOM_NOISE

  1.026  LABEL        INPUT_IMPEDANCE_CH1_O_CAL
  1.027  MATH         @Chan = 1
  1.028  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /O_CAL
  1.029  JMPL         DCV_GAIN_CH1

  1.030  LABEL        INPUT_IMPEDANCE_CH1_DMM
  1.031  MATH         @Chan = 1
  1.032  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /DMM
  1.033  JMPL         INPUT_IMPEDANCE_CH2_DMM

  1.034  LABEL        INPUT_IMPEDANCE_CH2_O_CAL
  1.035  MATH         @Chan = 2
  1.036  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /O_CAL
  1.037  JMPL         DCV_GAIN_CH2

  1.038  LABEL        INPUT_IMPEDANCE_CH2_DMM
  1.039  MATH         @Chan = 2
  1.040  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /DMM
  1.041  JMPL         DC_BALANCE                   (@NumChan == 2)
  1.042  JMPL         INPUT_IMPEDANCE_CH3_DMM

  1.043  LABEL        INPUT_IMPEDANCE_CH3_O_CAL
  1.044  MATH         @Chan = 3
  1.045  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /O_CAL
  1.046  JMPL         DCV_GAIN_CH3

  1.047  LABEL        INPUT_IMPEDANCE_CH3_DMM
  1.048  MATH         @Chan = 3
  1.049  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /DMM
  1.050  JMPL         INPUT_IMPEDANCE_CH4_DMM

  1.051  LABEL        INPUT_IMPEDANCE_CH4_O_CAL
  1.052  MATH         @Chan = 4
  1.053  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /O_CAL
  1.054  JMPL         DCV_GAIN_CH4

  1.055  LABEL        INPUT_IMPEDANCE_CH4_DMM
  1.056  MATH         @Chan = 4
  1.057  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /DMM

  1.058  LABEL        DC_BALANCE
  1.059  MATH         @Chan = 1
  1.060  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.061  MATH         @Chan = 2
  1.062  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA

  1.063  IF           @NumChan > 2
  1.064  MATH         @Chan = 3
  1.065  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.066  MATH         @Chan = 4
  1.067  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.068  ENDIF

# Do 1 MOhm BW tests next, since 50 Ohm feed throughs are already connected.
  1.069  JMPL         BANDWIDTH_CH1_1_MOhm

  1.070  LABEL        DCV_GAIN_CH1
  1.071  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm DCV Gain VER VISA /O_CAL
  1.072  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /O_CAL
  1.073  JMPL         DC_OFFSET_CH1

  1.074  LABEL        DCV_GAIN_CH2
  1.075  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm DCV Gain VER VISA /O_CAL
  1.076  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /O_CAL
  1.077  JMPL         DC_OFFSET_CH2

  1.078  LABEL        DCV_GAIN_CH3
  1.079  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm DCV Gain VER VISA /O_CAL
  1.080  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /O_CAL
  1.081  JMPL         DC_OFFSET_CH3

  1.082  LABEL        DCV_GAIN_CH4
  1.083  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm DCV Gain VER VISA /O_CAL
  1.084  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /O_CAL
  1.085  JMPL         DC_OFFSET_CH4

  1.086  LABEL        DC_OFFSET_CH1
  1.087  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /O_CAL
  1.088  JMPL         BANDWIDTH_CH1_50_Ohm

  1.089  LABEL        DC_OFFSET_CH2
  1.090  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /O_CAL
  1.091  JMPL         BANDWIDTH_CH2_50_Ohm

  1.092  LABEL        DC_OFFSET_CH3
  1.093  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /O_CAL
  1.094  JMPL         BANDWIDTH_CH3_50_Ohm

  1.095  LABEL        DC_OFFSET_CH4
  1.096  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /O_CAL
  1.097  JMPL         BANDWIDTH_CH4_50_Ohm

  1.098  LABEL        SAMPLE_RATE
  1.099  MATH         @Chan = 1
  1.100  CALL         Sub Tek DPO4000B (1 yr) Sample Rate VER VISA /O_CAL
  1.101  JMPL         INPUT_IMPEDANCE_CH1_O_CAL

  1.102  LABEL        BANDWIDTH_CH1_50_Ohm
  1.103  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.104  JMPL         DELTA_TIME_CH1

  1.105  LABEL        BANDWIDTH_CH1_1_MOhm
  1.106  MATH         @Chan = 1
  1.107  CALL         Sub Tek DPO410xB (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.108  JMPL         BANDWIDTH_CH2_1_MOhm

  1.109  LABEL        BANDWIDTH_CH2_50_Ohm
  1.110  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.111  JMPL         DELTA_TIME_CH2

  1.112  LABEL        BANDWIDTH_CH2_1_MOhm
  1.113  MATH         @Chan = 2
  1.114  CALL         Sub Tek DPO410xB (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.115  JMPL         SAMPLE_RATE                  (@NumChan == 2)
  1.116  JMPL         BANDWIDTH_CH3_1_MOhm

  1.117  LABEL        BANDWIDTH_CH3_50_Ohm
  1.118  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.119  JMPL         DELTA_TIME_CH3

  1.120  LABEL        BANDWIDTH_CH3_1_MOhm
  1.121  MATH         @Chan = 3
  1.122  CALL         Sub Tek DPO410xB (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.123  JMPL         BANDWIDTH_CH4_1_MOhm

  1.124  LABEL        BANDWIDTH_CH4_50_Ohm
  1.125  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.126  JMPL         DELTA_TIME_CH4

  1.127  LABEL        BANDWIDTH_CH4_1_MOhm
  1.128  MATH         @Chan = 4
  1.129  CALL         Sub Tek DPO410xB (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.130  JMPL         SAMPLE_RATE

  1.131  LABEL        RANDOM_NOISE
  1.132  MATH         @Chan = 1
  1.133  CALL         Sub Tek DPO410xB (1 yr) Random Noise VER VISA
  1.134  MATH         @Chan = 2
  1.135  CALL         Sub Tek DPO410xB (1 yr) Random Noise VER VISA

  1.136  IF           @NumChan > 2
  1.137  MATH         @Chan = 3
  1.138  CALL         Sub Tek DPO410xB (1 yr) Random Noise VER VISA
  1.139  MATH         @Chan = 4
  1.140  CALL         Sub Tek DPO410xB (1 yr) Random Noise VER VISA
  1.141  ENDIF

  1.142  JMPL         INPUT_IMPEDANCE_CH1_DMM

  1.143  LABEL        DELTA_TIME_CH1
  1.144  CALL         Sub Tek DPO410xB (1 yr) Delta Time VER VISA /O_CAL
  1.145  JMPL         INPUT_IMPEDANCE_CH2_O_CAL

  1.146  LABEL        DELTA_TIME_CH2
  1.147  CALL         Sub Tek DPO410xB (1 yr) Delta Time VER VISA /O_CAL
  1.148  JMPL         TRIGGER_OUTPUT               (@NumChan == 2)
  1.149  JMPL         INPUT_IMPEDANCE_CH3_O_CAL

  1.150  LABEL        DELTA_TIME_CH3
  1.151  CALL         Sub Tek DPO410xB (1 yr) Delta Time VER VISA /O_CAL
  1.152  JMPL         INPUT_IMPEDANCE_CH4_O_CAL

  1.153  LABEL        DELTA_TIME_CH4
  1.154  CALL         Sub Tek DPO410xB (1 yr) Delta Time VER VISA /O_CAL

  1.155  LABEL        TRIGGER_OUTPUT
  1.156  MATH         @Chan = 1
  1.157  CALL         Sub Tek DPO4000B (1 yr) Trigger Output VISA

  1.158  LABEL        END
  1.159  VISA         *RST

  1.160  IF           @Abort
  1.161  HEAD         {V E R I F I C A T I O N   A B O R T E D}
  1.162  ENDIF

  1.163  END
